;------------------------------------------------------------------------------
; File Name :      vtm2.inc
;------------------------------------------------------------------------------
;      Copyright: Eugene M. Hutorny  2006
;      Revision:  V1.00
;      Date:      Sep 2, 2006
;      License:   Licensed to public under the Open Software License 
;                 http://www.opensource.org/licenses/osl-3.0.php
;------------------------------------------------------------------------------
;
;------------------------------------------------------------------------------
; VELOOS Timer driver based on TMR2
; VELOOS timers provide 'heartbeat' broadcast message
; Objects should do scheduling in their own, watching for time sent with the message
;------------------------------------------------------------------------------

#define __vtm2_inc
#ifndef __vos_inc
    include "vos.inc"
#endif
 ifdef __vtm2_asm
   implementation
 else
   interface
 endif
;------------------------------------------------------------------------------

 public VTMR

VTMR_cMsgIDTimer1ms         equ 0F7h
; struct VTMR_cMsgTimer1ms {
;   byte    msg_id;
;   word    millisec; }

VTMR_cMsgIDTimer1s          equ 0F6h
; struct VTMR_cMsgTimer1s {
;   byte    msg_id;
;   word    seconds; }
